diff --git a/retail/bootloader/source/arm7/main.arm7.c b/retail/bootloader/source/arm7/main.arm7.c
index d26062469..8b67beb1c 100644
--- a/retail/bootloader/source/arm7/main.arm7.c
+++ b/retail/bootloader/source/arm7/main.arm7.c
@@ -198,8 +198,8 @@ static void resetMemory_ARM7(void) {
 
 	REG_IE = 0;
 	REG_IF = ~0;
-	*(vu32*)(0x04000000 - 4) = 0;  // IRQ_HANDLER ARM7 version
-	*(vu32*)(0x04000000 - 8) = ~0; // VBLANK_INTR_WAIT_FLAGS, ARM7 version
+	*(vu32*)0x0380FFFC = 0;  // IRQ_HANDLER ARM7 version
+	*(vu32*)0x0380FFF8 = 0; // VBLANK_INTR_WAIT_FLAGS, ARM7 version
 	REG_POWERCNT = 1;  // Turn off power to stuff
 }
 
diff --git a/retail/bootloaderi/source/arm7/main.arm7.c b/retail/bootloaderi/source/arm7/main.arm7.c
index bc0b7741b..359911088 100644
--- a/retail/bootloaderi/source/arm7/main.arm7.c
+++ b/retail/bootloaderi/source/arm7/main.arm7.c
@@ -244,8 +244,8 @@ static void resetMemory_ARM7(void) {
 	REG_IF = ~0;
 	REG_AUXIE = 0;
 	REG_AUXIF = ~0;
-	*(vu32*)(0x04000000 - 4) = 0;  // IRQ_HANDLER ARM7 version
-	*(vu32*)(0x04000000 - 8) = ~0; // VBLANK_INTR_WAIT_FLAGS, ARM7 version
+	*(vu32*)0x0380FFFC = 0;  // IRQ_HANDLER ARM7 version
+	*(vu32*)0x0380FFF8 = 0; // VBLANK_INTR_WAIT_FLAGS, ARM7 version
 	REG_POWERCNT = 1;  // Turn off power to stuff
 
 	useTwlCfg = ((*(u8*)0x02000400 != 0) && (*(u8*)0x02000401 == 0) && (*(u8*)0x02000402 == 0) && (*(u8*)0x02000404 == 0) && (*(u8*)0x02000448 != 0));
